Bug 205962 - Review Request: <scribus-1.3.3.3-0.FC5.ppc> - <latest build of scribus for ppc>
Review Request: <scribus-1.3.3.3-0.FC5.ppc> - <latest build of scribus for ppc>
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: scribus (Show other bugs)
5
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-10 18:57 EDT by Mike Strong
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-15 10:45:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mike Strong 2006-09-10 18:57:21 EDT
Spec URL: <http://www.moodle-fcps1.org/guest_ftp/>
SRPM URL: <http://www.moodle-fcps1.org/guest_ftp/>
Description: <scribus-1.3.3.3-0.FC5.ppc | Using an existing .spec file, I built the latest version of scribus, linux desktop publishing, for the ppc because there wasn't a recent build in any repo.>
Comment 1 Peter Gordon 2006-09-10 19:05:09 EDT
Mike: Scribus is already in Extras (as you mentioned), so this seems to me
nothing more than a request for the package in Extras to be updated to this new
version. I'm changing the bug metadata to reflect that. Thanks.
Comment 2 Mike Strong 2006-09-10 22:04:51 EDT
Oh, sorry.  I thought this was the place.  Well, we still need more current
builds of Scribus.  I'll volunteer to keep the ppc pkg current, if you guys want
some help.
Comment 3 Andreas Bierfert 2006-09-15 10:45:45 EDT
fixed and pushed new version
Comment 4 Mike Strong 2006-09-15 18:16:01 EDT
"[F]ixed and pushed new version" doesn't resolve the problem.  Are you going to
keep the pkg current?  The nine month old pkg was that in Fedora Extras is
shameful.  If Fedora is ever going to be a true desktop OS, then versions need
to be kept current, and turnkey pkgs need to be available in a timely manner.
Comment 5 Andreas Bierfert 2006-09-17 03:17:36 EDT
Please stick to the facts. The previous version was from Jun 18 which is
according to my calculations about 3 month. In addition I don't believe that the
difference between 1.3.3.{2,3} is so big as upstream states that this is a
bugfix line for the development version... So to answer you: Yes I will keep
thins up to date but  not if poeple tell me my packaging is shameful! 
Comment 6 Michael Schwendt 2006-09-17 08:34:30 EDT
There are some misunderstandings here, I think.

It is Fedora Extras 5 which contains an old release of Scribus (1.2.4.1),
but this ticket was filed about our development branch.

I wonder why the community has not requested an update to 1.2.5 at least?
Comment 7 Mike Strong 2006-09-17 10:49:28 EDT
Yes, thank you Michael.  I just changed this bug report to fc5, not devel.  I
don't know why it was listed as such.  And yes, I also wonder why no one ever
requested that Extras be updated to a current version of Scribus.  The old
version on Extras was crashing my system, that's why I interjected myself into
this (and raised hell in the process).  Normally, I would not have cared.  So
that this doesn't continue to happen, I think there needs to be a change.  Sure,
I can just selfishly build my own package (and to hell with everyone else), but
keeping builds current is so easy and such a no-brainer...

Andreas, the quality of your packages is not at issue - I think there's a
language misunderstanding here.  You are not keeping the Scribus package
current, that's the fact here.  Your latest build is from Feb 2006 (where do get
the 3 months?) I glanced at your package responsibilities and I wonder if you
are trying to do too much.  It looks like you have a large number of packages
that you are trying to maintain.  In fact, I'm looking at Extras right now, and
there's still not an updated version!  Maybe it's time to abdicate just a few of
your responsibilities?  There's nothing wrong in admitting that you're just too
busy?

Cheers.
Comment 8 Andreas Bierfert 2006-09-17 11:13:22 EDT
FYI: I just pushed 1.2.5 for fc{3,4,5} so this should solve the not being
current issue. The release note must have slipped trough my inbox somehow
otherwise I would have updated to 1.2.5 when it was released. I get the 3 month
from looking at the devel packages (which this bug report was opened for...) und
the last update was about 3 month ago not counting the update I pushed for
1.3.3.3 as a result of this bug (which is good).
Now to the other part of your statment, altough I feel that this is not the
place to talk about such things... Yes I do maintain a lot of packages in FE and
I am trying to do the best I can to make everybody happy. Sometimes new releases
slip trough because of various reasons... mainly because upstream forgets to
upgrade e.g. freshmeat and I don't get mail or because I just miss new releases.
I am happy if users open bug reports requesting new versions of a package as it
helps me to keep things current. Ok in some cases it is a bit frustrating if
sources are released and one hour later people ask me why this is not in FE
yet... but that just as a sidenote... In general I am happy about such things...
 I don't know which informations you use to suggest that I am to busy... yes
like everbody else here I have weeks where extras is not the first thing on my
list and as a matter of fact the last 2-3 weeks were such weeks... but believe
me... if I get to a point where I cannot find any time any more I will give up
my job here... but not now ;) not after the stuff I went trough the last weeks
not now that I managed to come back and work on FE and get everything in line
for F{C,E}6.

But maybe, just maybe we are talking about different things here... your request
was for 1.3.3.3 which as stated on the scribus webpage is a bugfix release for a
development version. This is why the development line is in devel only atm and
will only be in devel. As a matter of fact I was thinking maybe to remove it
from the repo and ship FE6 with 1.2.x but I won't as long as people don't have
serious problems with it. Don't get me wrong... I like bleeding edge and I like
the new scribus version but everything < FE6 will stick with the stable series
till the scribus team is done with the current development version and releases
it as a stable release. This has been good practice here for some time now so I
hope you are ok with it... if you want I can build 1.3.3.x versions and push
them to my repo so you can grep them for FC5 as well... as a service to those
who want scribus development versions for FC5. Just let me know. And of course
if you find a crash in a package report it here... I am the last one to ignore
bug reports about crashes... 
Comment 9 Mike Strong 2006-09-17 11:56:46 EDT
I think we'll just have to agree to disagree.  Believe me, all your efforts ARE
appreciated in FC6 and FC5.  But...  

I don't see any reason NOT to keep both the 1.2.5 and 1.3.x versions in FE.  Let
users decide which one to use.

I tried.  Now I'll just make my own builds, and keep them to myself.  Sorry guys.

Cheers.
 
Comment 10 Michael Schwendt 2006-09-17 12:35:30 EDT
> I don't see any reason NOT to keep both the 1.2.5 and 1.3.x
> versions in FE.  Let users decide which one to use.

That raises the question whether you really want to open such a can
of worms? For multiple releases of an application to coexist nicely,
it would be required to package them in separate rpms which don't
conflict and which can be installed at once. Often that is the easy
part. Now to the run-time side of it where the fun starts. Do both
versions of the app share a common configuration? As soon as the user
gives the development version a try, can you guarantee that he would
be able to roll back to the stable version? That is, with his setup,
his projects, etc? It can get really ugly in that area if the app does
not offer ways to migrate back and forth between multiple versions.
Just imagine what would happen if Scribus 1.4 comes out. Would it
upgrade 1.2.5 or 1.3.x or both?

Often it's impossible to please everyone. 

No harm is done by including a project's flagship release, which is
Scribus 1.2.5, their official stable release, even if it may be older
than bleeding-edge development stuff.

Note You need to log in before you can comment on or make changes to this bug.